Страница 1 из 1

Конфликт версий py-setuptools

Добавлено: 2019-05-14 9:19:50
Reken
Подскажите пожалуйста в решении проблемы:
py36-setuptools-41.0.0 conflicts with py27-setuptools-36.5.0 (installs files into the same place). Problematic file: /usr/local/bin/easy_install
Как правильно заменить в системе py27 на py36 ? Что бы без последствий для зависимых портов...

Конфликт версий py-setuptools

Добавлено: 2019-05-14 12:11:09
Reken
Сделал так:
Удалил py27-setuptools
Пересобрал cmake (он и подтянул зависимости py27 обратно)

Ошибок при пересборке cmake не было, py27-setuptools переустановился...
Вот только теперь в системе у python27 стало намного меньше зависимостей, они все автоматически удалились при удалении py27-setuptools
Думаю это были старые зависимости, которые не использовались...

Конфликт версий py-setuptools

Добавлено: 2019-07-23 20:10:10
mousehouse
Не забываем читать /usr/ports/UPDATING

20170316:
AFFECTS: users of python setuptools
AUTHOR: antoine@FreeBSD.org

The python setuptools ports have been renamed to better match other python por
Ports users need to rename them so that portupgrade and portmaster do not
get confused. For example:

Код: Выделить всё

    pkg set -n py27-setuptools27:py27-setuptools
    pkg set -o devel/py-setuptools27:devel/py27-setuptools
  or
    pkg set -n py35-setuptools35:py35-setuptools
    pkg set -o devel/py-setuptools35:devel/py35-setuptools
35 исправте на вашу версию 36

...и да
/etc/make.conf

Код: Выделить всё

DEFAULT_VERSIONS+= python=3.6

Конфликт версий py-setuptools

Добавлено: 2019-08-27 13:34:43
SergeySL
Если одновременно нужны py27-setuptools и py36-setuptools, можно обновлять их примерно так:

Код: Выделить всё

cd /usr/ports/devel/py-setuptools
make FLAVOR=py27 deinstall clean
make deinstall clean
make FLAVOR=py27 install clean
make install clean

Конфликт версий py-setuptools

Добавлено: 2019-11-01 16:07:37
Ed
Так обновляется.
Спасибо!

Конфликт версий py-setuptools

Добавлено: 2020-02-06 14:07:21
fas
О, спасибо, о, Боги!!! работает!!!